svn commit: samba r2554 - in branches/SAMBA_4_0/source/lib/ldb/tests: .

tridge at samba.org tridge at samba.org
Thu Sep 23 02:15:11 GMT 2004


Author: tridge
Date: 2004-09-23 02:15:10 +0000 (Thu, 23 Sep 2004)
New Revision: 2554

WebSVN: http://websvn.samba.org/websvn/changeset.php?rep=samba&path=/branches/SAMBA_4_0/source/lib/ldb/tests&rev=2554&nolog=1

Log:
added a test for a bug that jelmer pointed out (handling of -s one)





Modified:
   branches/SAMBA_4_0/source/lib/ldb/tests/test-generic.sh


Changeset:
Modified: branches/SAMBA_4_0/source/lib/ldb/tests/test-generic.sh
===================================================================
--- branches/SAMBA_4_0/source/lib/ldb/tests/test-generic.sh	2004-09-23 02:14:43 UTC (rev 2553)
+++ branches/SAMBA_4_0/source/lib/ldb/tests/test-generic.sh	2004-09-23 02:15:10 UTC (rev 2554)
@@ -15,3 +15,10 @@
 
 echo "Starting ldbtest indexed"
 time $VALGRIND bin/ldbtest -r 1000 -s 5000  || exit 1
+
+echo "Testing one level search"
+count=`$VALGRIND bin/ldbsearch -b 'ou=Groups,o=University of Michigan,c=US' -s one 'objectclass=*' none |grep ^dn | wc -l`
+if [ "$count" != 3 ]; then
+    echo returned $count records - expected 3
+    exit 1
+fi



More information about the samba-cvs mailing list